## libcsfml 1.4

=== CSFML/src/SFML/Makefile ===
export CC         = gcc
export CPP        = g++
export CFLAGS     = -W -Wall -pedantic -fPIC -Wno-unused -I../.. -I../../../include -DNDEBUG -DCSFML_EXPORTS -O2
export LDFLAGS    = -shared
export LIBPATH    = ../../../lib
export VERSION    = 1.4
export CP         = cp
export LN         = ln
export LNFLAGS    = -s -f
export DESTDIR    = /usr
export DESTLIBDIR = $(DESTDIR)/lib
export DESTINCDIR = $(DESTDIR)/include

all: csfml-system csfml-window csfml-network csfml-graphics csfml-audio

csfml-system:
	@(cd ./System && $(MAKE))

csfml-window:
	@(cd ./Window && $(MAKE))

csfml-network:
	@(cd ./Network && $(MAKE))

csfml-graphics:
	@(cd ./Graphics && $(MAKE))

csfml-audio:
	@(cd ./Audio && $(MAKE))

.PHONY: clean mrproper

clean:
	@(cd ./System && $(MAKE) $@	&& cd ../Window && $(MAKE) $@ && cd ../Network && $(MAKE) $@ && cd ../Graphics && $(MAKE) $@ && cd ../Audio && $(MAKE) $@)

mrproper: clean
	@(cd ./System && $(MAKE) $@	&& cd ../Window && $(MAKE) $@ && cd ../Network && $(MAKE) $@ && cd ../Graphics && $(MAKE) $@ && cd ../Audio && $(MAKE) $@)

install:
	@(mkdir -p $(DESTLIBDIR))
	@(mkdir -p $(DESTINCDIR))
	@(cd ./System && $(MAKE) $@	&& cd ../Window && $(MAKE) $@ && cd ../Network && $(MAKE) $@ && cd ../Graphics && $(MAKE) $@ && cd ../Audio && $(MAKE) $@ && $(CP) -r ../../../include/SFML/ $(DESTINCDIR))

=== CSFML/src/SFML/Audio/Makefile ===
LIB     = libcsfml-audio.so
SRC     = $(wildcard *.cpp)
OBJ     = $(SRC:.cpp=.o)
LIBNAME = $(LIBPATH)/$(LIB).$(VERSION)

all: $(LIB)

libcsfml-audio.so: $(OBJ)
	$(CPP) $(LDFLAGS) -Wl,-soname,$(LIB).$(VERSION) -o $(LIBNAME) $(OBJ) -lsfml-audio

$(OBJ): %.o: %.cpp
	$(CPP) -o $@ -c $< $(CFLAGS)

.PHONY: clean mrproper

clean:
	@rm -rf $(OBJ)

mrproper: clean
	@rm -rf $(LIBNAME)

install:
	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))

=== CSFML/src/SFML/Graphics/Makefile ===
LIB     = libcsfml-graphics.so
SRC     = $(wildcard *.cpp)
OBJ     = $(SRC:.cpp=.o)
LIBNAME = $(LIBPATH)/$(LIB).$(VERSION)

all: $(LIB)

libcsfml-graphics.so: $(OBJ)
	$(CPP) $(LDFLAGS) -Wl,-soname,$(LIB).$(VERSION) -o $(LIBNAME) $(OBJ) -lsfml-graphics -lsfml-window -lsfml-system

$(OBJ): %.o: %.cpp
	$(CPP) -o $@ -c $< $(CFLAGS)

.PHONY: clean mrproper

clean:
	@rm -rf $(OBJ)

mrproper: clean
	@rm -rf $(LIBNAME)

install:
	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))

=== CSFML/src/SFML/Network/Makefile ===
LIB     = libcsfml-network.so
SRC     = $(wildcard *.cpp)
OBJ     = $(SRC:.cpp=.o)
LIBNAME = $(LIBPATH)/$(LIB).$(VERSION)

all: $(LIB)

libcsfml-network.so: $(OBJ)
	$(CPP) $(LDFLAGS) -Wl,-soname,$(LIB).$(VERSION) -o $(LIBNAME) $(OBJ) -lsfml-network

$(OBJ): %.o: %.cpp
	$(CPP) -o $@ -c $< $(CFLAGS)

.PHONY: clean mrproper

clean:
	@rm -rf $(OBJ)

mrproper: clean
	@rm -rf $(LIBNAME)

install:
	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))

=== CSFML/src/SFML/System/Makefile ===
LIB     = libcsfml-system.so
SRC     = $(wildcard *.cpp)
OBJ     = $(SRC:.cpp=.o)
LIBNAME = $(LIBPATH)/$(LIB).$(VERSION)

all: $(LIB)

libcsfml-system.so: $(OBJ)
	$(CPP) $(LDFLAGS) -Wl,-soname,$(LIB).$(VERSION) -o $(LIBNAME) $(OBJ) -lsfml-system

$(OBJ): %.o: %.cpp
	$(CPP) -o $@ -c $< $(CFLAGS)

.PHONY: clean mrproper

clean:
	@rm -rf $(OBJ)

mrproper: clean
	@rm -rf $(LIBNAME)

install:
	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))

=== CSFML/src/SFML/Window/Makefile ===
LIB     = libcsfml-window.so
SRC     = $(wildcard *.cpp)
OBJ     = $(SRC:.cpp=.o)
LIBNAME = $(LIBPATH)/$(LIB).$(VERSION)

all: $(LIB)

libcsfml-window.so: $(OBJ)
	$(CPP) $(LDFLAGS) -Wl,-soname,$(LIB).$(VERSION) -o $(LIBNAME) $(OBJ) -lsfml-window -lsfml-system

$(OBJ): %.o: %.cpp
	$(CPP) -o $@ -c $< $(CFLAGS)

.PHONY: clean mrproper

clean:
	@rm -rf $(OBJ)

mrproper: clean
	@rm -rf $(LIBNAME)

install:
	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))

## libcsfml 1.5

=== CSFML/src/SFML/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export CFLAGS     = -W -Wall -pedantic -fPIC -Wno-unused -I../.. -I../../../include -DNDEBUG -DCSFML_EXPORTS -O2
 export LDFLAGS    = -shared
 export LIBPATH    = ../../../lib
-export VERSION    = 1.4
+export VERSION    = 1.5
 export CP         = cp
 export LN         = ln
 export LNFLAGS    = -s -f

=== CSFML/src/SFML/Audio/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

=== CSFML/src/SFML/Graphics/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

=== CSFML/src/SFML/Network/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

=== CSFML/src/SFML/System/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

=== CSFML/src/SFML/Window/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

## libcsfml 1.6

=== CSFML/Makefile ===

all: csfml

csfml:
	@(cd ./src/SFML && $(MAKE))

install:
	@(cd ./src/SFML && $(MAKE) $@)

clean:
	@(cd ./src/SFML && $(MAKE) $@)

mrproper:
	@(cd ./src/SFML && $(MAKE) $@)

=== CSFML/src/SFML/Makefile ===
--- 
+++ 
@@ -3,29 +3,34 @@
 export CFLAGS     = -W -Wall -pedantic -fPIC -Wno-unused -I../.. -I../../../include -DNDEBUG -DCSFML_EXPORTS -O2
 export LDFLAGS    = -shared
 export LIBPATH    = ../../../lib
-export VERSION    = 1.5
+export VERSION    = 1.6
 export CP         = cp
 export LN         = ln
 export LNFLAGS    = -s -f
-export DESTDIR    = /usr
+export DESTDIR    = /usr/local
 export DESTLIBDIR = $(DESTDIR)/lib
 export DESTINCDIR = $(DESTDIR)/include
 
 all: csfml-system csfml-window csfml-network csfml-graphics csfml-audio
 
 csfml-system:
+	@(mkdir -p ../../lib)
 	@(cd ./System && $(MAKE))
 
 csfml-window:
+	@(mkdir -p ../../lib)
 	@(cd ./Window && $(MAKE))
 
 csfml-network:
+	@(mkdir -p ../../lib)
 	@(cd ./Network && $(MAKE))
 
 csfml-graphics:
+	@(mkdir -p ../../lib)
 	@(cd ./Graphics && $(MAKE))
 
 csfml-audio:
+	@(mkdir -p ../../lib)
 	@(cd ./Audio && $(MAKE))
 
 .PHONY: clean mrproper

=== CSFML/src/SFML/Audio/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

=== CSFML/src/SFML/Graphics/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

=== CSFML/src/SFML/Network/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

=== CSFML/src/SFML/System/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

=== CSFML/src/SFML/Window/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	@rm -rf $(LIBNAME)
 
 install:
-	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(DESTLIBDIR)/$(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))
+	@($(CP) $(LIBNAME) $(DESTLIBDIR) && $(LN) $(LNFLAGS) $(LIB).$(VERSION) $(DESTLIBDIR)/$(LIB))

## libcsfml 2.1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

# set a default build type if none was provided
# this has to be done before the project() instruction!
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build (Debug or Release)" FORCE)
endif()

# project name
project(CSFML)

# include the configuration file
include(${CMAKE_SOURCE_DIR}/cmake/Config.cmake)

# setup version numbers
set(VERSION_MAJOR 2)
set(VERSION_MINOR 1)
set(VERSION_PATCH 0)

# add the CSFML header path
include_directories(${CMAKE_SOURCE_DIR}/include)

# force dynamic build (static build is not supported)
set(BUILD_SHARED_LIBS TRUE)

# add an option for building the API documentation
set(BUILD_DOC FALSE CACHE BOOL "TRUE to generate the API documentation, FALSE to ignore it")

# disable the rpath stuff
set(CMAKE_SKIP_BUILD_RPATH TRUE)

# define an option for choosing between static and dynamic C runtime (Windows only)
if(WINDOWS)
    set(STATIC_STD_LIBS FALSE CACHE BOOL "TRUE to statically link to the standard libraries, FALSE to use them as DLLs")
    
    # for VC++, we can apply it globally by modifying the compiler flags
    if(COMPILER_MSVC AND STATIC_STD_LIBS)
        foreach(flag
                CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
                CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
            if(${flag} MATCHES "/MD")
                string(REGEX REPLACE "/MD" "/MT" ${flag} "${${flag}}")
            endif()
        endforeach()
    endif()
endif()

# add the subdirectories
add_subdirectory(src/SFML)
if(BUILD_DOC)
    add_subdirectory(doc)
endif()

# setup the install rules
install(DIRECTORY include
        DESTINATION .
        COMPONENT devel
        PATTERN ".svn" EXCLUDE)
install(FILES license.txt DESTINATION ${INSTALL_MISC_DIR})
install(FILES readme.txt DESTINATION ${INSTALL_MISC_DIR})

=== doc/CMakeLists.txt ===

# find doxygen
find_package(Doxygen REQUIRED)

# set the input and output documentation paths
set(DOXYGEN_INPUT_DIR ${CMAKE_SOURCE_DIR})
set(DOXYGEN_OUTPUT_DIR ${CMAKE_BINARY_DIR}/doc)

# see if we can generate the CHM documentation
if(WINDOWS)
    # if HHC is found, we can generate the CHM (compressed HTML) output
    find_program(DOXYGEN_HHC_PROGRAM
                 NAMES hhc.exe
                 PATHS "c:/Program Files/HTML Help Workshop"
                 DOC "HTML Help Compiler program")
    if(DOXYGEN_HHC_PROGRAM)
        set(DOXYGEN_GENERATE_HTMLHELP YES)
    else()
        set(DOXYGEN_GENERATE_HTMLHELP NO)
    endif()
else()
    set(DOXYGEN_HHC_PROGRAM)
    set(DOXYGEN_GENERATE_HTMLHELP NO)
endif()

# configure the source Doxyfile by copying it and replacing all @variables@
set(DOXYGEN_CONFIGURED_INPUT ${DOXYGEN_OUTPUT_DIR}/doxyfile)
configure_file(${DOXYGEN_INPUT_DIR}/doc/doxyfile.in ${DOXYGEN_CONFIGURED_INPUT} @ONLY)

# copy the files needed by the documentation
configure_file(${DOXYGEN_INPUT_DIR}/doc/doxygen.css ${DOXYGEN_OUTPUT_DIR}/html/doxygen.css COPYONLY)

# target setup
add_custom_target(doc ALL
                  COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
                  COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_CONFIGURED_INPUT}
                  COMMAND ${CMAKE_COMMAND} -E echo "Done."
                  WORKING_DIRECTORY ${DOXYGEN_INPUT_DIR})

# setup install rules
install(DIRECTORY ${DOXYGEN_OUTPUT_DIR}/html
        DESTINATION ${INSTALL_MISC_DIR}/doc
        COMPONENT doc)
if(DOXYGEN_HHC_PROGRAM)
    install(FILES ${DOXYGEN_OUTPUT_DIR}/SFML.chm
            DESTINATION ${INSTALL_MISC_DIR}/doc
            COMPONENT doc)
endif()

=== src/SFML/CMakeLists.txt ===

# include the SFML specific macros
include(${CMAKE_SOURCE_DIR}/cmake/Macros.cmake)

# add the CSFML sources path
include_directories(${CMAKE_SOURCE_DIR}/src)

# define the path of our additional CMake modules
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules/")

# set the output directory for CSFML libraries
set(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}/lib")

# define the export symbol
add_definitions(-DCSFML_EXPORTS)

# disable stupid warnings with Visual C++
if(COMPILER_MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

# find SFML libraries (C++)
if(WINDOWS)
    set(SFML_STATIC_LIBRARIES TRUE)
    add_definitions(-DSFML_STATIC)
endif()
find_package(SFML 2.0 COMPONENTS system window network graphics audio REQUIRED)
include_directories(${SFML_INCLUDE_DIR})

# add the modules subdirectories
add_subdirectory(System)
add_subdirectory(Window)
add_subdirectory(Network)
add_subdirectory(Graphics)
add_subdirectory(Audio)
if(WINDOWS)
    add_subdirectory(Main)
endif()

=== src/SFML/Audio/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Audio)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Audio)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Listener.cpp
    ${INCROOT}/Listener.h
    ${SRCROOT}/Music.cpp
    ${SRCROOT}/MusicStruct.h
    ${INCROOT}/Music.h
    ${SRCROOT}/Sound.cpp
    ${SRCROOT}/SoundStruct.h
    ${INCROOT}/Sound.h
    ${SRCROOT}/SoundBuffer.cpp
    ${SRCROOT}/SoundBufferStruct.h
    ${INCROOT}/SoundBuffer.h
    ${SRCROOT}/SoundBufferRecorder.cpp
    ${SRCROOT}/SoundBufferRecorderStruct.h
    ${INCROOT}/SoundBufferRecorder.h
    ${SRCROOT}/SoundRecorder.cpp
    ${SRCROOT}/SoundRecorderStruct.h
    ${INCROOT}/SoundRecorder.h
    ${INCROOT}/SoundStatus.h
    ${SRCROOT}/SoundStream.cpp
    ${SRCROOT}/SoundStreamStruct.h
    ${INCROOT}/SoundStream.h
    ${INCROOT}/Types.h
)

# define the csfml-audio target
csfml_add_library(csfml-audio
                  SOURCES ${SRC}
                  DEPENDS ${SFML_AUDIO_LIBRARY} ${SFML_SYSTEM_LIBRARY})

=== src/SFML/Graphics/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Graphics)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Graphics)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${INCROOT}/BlendMode.h
    ${SRCROOT}/CircleShape.cpp
    ${SRCROOT}/CircleShapeStruct.h
    ${INCROOT}/CircleShape.h
    ${SRCROOT}/Color.cpp
    ${INCROOT}/Color.h
    ${SRCROOT}/ConvertRenderStates.hpp
    ${SRCROOT}/ConvertTransform.hpp
    ${SRCROOT}/ConvexShape.cpp
    ${SRCROOT}/ConvexShapeStruct.h
    ${INCROOT}/ConvexShape.h
    ${SRCROOT}/Font.cpp
    ${SRCROOT}/FontStruct.h
    ${INCROOT}/Font.h
    ${INCROOT}/Glyph.h
    ${SRCROOT}/Image.cpp
    ${SRCROOT}/ImageStruct.h
    ${INCROOT}/Image.h
    ${SRCROOT}/Rect.cpp
    ${INCROOT}/Rect.h
    ${SRCROOT}/RectangleShape.cpp
    ${SRCROOT}/RectangleShapeStruct.h
    ${INCROOT}/RectangleShape.h
    ${SRCROOT}/RenderTexture.cpp
    ${SRCROOT}/RenderTextureStruct.h
    ${INCROOT}/RenderTexture.h
    ${SRCROOT}/RenderWindow.cpp
    ${SRCROOT}/RenderWindowStruct.h
    ${INCROOT}/RenderWindow.h
    ${SRCROOT}/Shader.cpp
    ${SRCROOT}/ShaderStruct.h
    ${INCROOT}/Shader.h
    ${SRCROOT}/Shape.cpp
    ${SRCROOT}/ShapeStruct.h
    ${INCROOT}/Shape.h
    ${SRCROOT}/Sprite.cpp
    ${SRCROOT}/SpriteStruct.h
    ${INCROOT}/Sprite.h
    ${SRCROOT}/Text.cpp
    ${SRCROOT}/TextStruct.h
    ${INCROOT}/Text.h
    ${SRCROOT}/Texture.cpp
    ${SRCROOT}/TextureStruct.h
    ${INCROOT}/Texture.h
    ${SRCROOT}/Transform.cpp
    ${INCROOT}/Transform.h
    ${SRCROOT}/Transformable.cpp
    ${SRCROOT}/TransformableStruct.h
    ${INCROOT}/Transformable.h
    ${INCROOT}/Types.h
    ${INCROOT}/Vertex.h
    ${SRCROOT}/VertexArray.cpp
    ${SRCROOT}/VertexArrayStruct.h
    ${INCROOT}/VertexArray.h
    ${SRCROOT}/View.cpp
    ${SRCROOT}/ViewStruct.h
    ${INCROOT}/View.h
)

# define the csfml-graphics target
csfml_add_library(csfml-graphics
                  SOURCES ${SRC}
                  DEPENDS ${SFML_GRAPHICS_LIBRARY} ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY})

=== src/SFML/Network/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Network)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Network)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Ftp.cpp
    ${SRCROOT}/FtpStruct.h
    ${INCROOT}/Ftp.h
    ${SRCROOT}/Http.cpp
    ${SRCROOT}/HttpStruct.h
    ${INCROOT}/Http.h
    ${SRCROOT}/IpAddress.cpp
    ${INCROOT}/IpAddress.h
    ${SRCROOT}/Packet.cpp
    ${SRCROOT}/PacketStruct.h
    ${INCROOT}/Packet.h
    ${SRCROOT}/SocketSelector.cpp
    ${SRCROOT}/SocketSelectorStruct.h
    ${INCROOT}/SocketSelector.h
    ${INCROOT}/SocketStatus.h
    ${SRCROOT}/TcpListener.cpp
    ${SRCROOT}/TcpListenerStruct.h
    ${INCROOT}/TcpListener.h
    ${SRCROOT}/TcpSocket.cpp
    ${SRCROOT}/TcpSocketStruct.h
    ${INCROOT}/TcpSocket.h
    ${INCROOT}/Types.h
    ${SRCROOT}/UdpSocket.cpp
    ${SRCROOT}/UdpSocketStruct.h
    ${INCROOT}/UdpSocket.h
)

# define the csfml-network target
csfml_add_library(csfml-network
                  SOURCES ${SRC}
                  DEPENDS ${SFML_NETWORK_LIBRARY} ${SFML_SYSTEM_LIBRARY})

=== src/SFML/System/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/System)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/System)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Clock.cpp
    ${SRCROOT}/ClockStruct.h
    ${INCROOT}/Clock.h
    ${INCROOT}/InputStream.h
    ${SRCROOT}/Mutex.cpp
    ${SRCROOT}/MutexStruct.h
    ${INCROOT}/Mutex.h
    ${SRCROOT}/Sleep.cpp
    ${INCROOT}/Sleep.h
    ${SRCROOT}/Thread.cpp
    ${SRCROOT}/ThreadStruct.h
    ${INCROOT}/Thread.h
    ${SRCROOT}/Time.cpp
    ${INCROOT}/Time.h
    ${INCROOT}/Types.h
    ${INCROOT}/Vector2.h
    ${INCROOT}/Vector3.h
)

# define the csfml-system target
csfml_add_library(csfml-system
                  SOURCES ${SRC}
                  DEPENDS ${SFML_SYSTEM_LIBRARY})

=== src/SFML/Window/CMakeLists.txt ===

set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Window)
set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Window)

# all source files
set(SRC
    ${INCROOT}/Export.h
    ${SRCROOT}/Context.cpp
    ${SRCROOT}/ContextStruct.h
    ${INCROOT}/Context.h
    ${INCROOT}/Event.h
    ${SRCROOT}/Joystick.cpp
    ${INCROOT}/Joystick.h
    ${SRCROOT}/Keyboard.cpp
    ${INCROOT}/Keyboard.h
    ${SRCROOT}/Mouse.cpp
    ${INCROOT}/Mouse.h
    ${INCROOT}/Types.h
    ${SRCROOT}/VideoMode.cpp
    ${INCROOT}/VideoMode.h
    ${SRCROOT}/Window.cpp
    ${SRCROOT}/WindowStruct.h
    ${INCROOT}/Window.h
    ${INCROOT}/WindowHandle.h
)

# define the csfml-window target
csfml_add_library(csfml-window
                  SOURCES ${SRC}
                  DEPENDS ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY})

=== debian/changelog ===
libcsfml (2.1-2) unstable; urgency=low

  * Fix Vcs-Browser field in debian/control

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 16 Dec 2013 15:24:15 +0000

libcsfml (2.1-1) unstable; urgency=low

  * New upstream release 2.1
  * Added myself to the list of uploaders
  * Change package priority from extra to optional
  * Add dependency to libgl-dev and libglu-dev to libcsfml-dev
  * Modify debian/copyright to use the machine-readable format
    (http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/)
  * Added doc-base file for API documentation
  * Moved debian/watch source to the CSFML github repository
  * Upgrade source format to 3.0 and debhelper 9 using dh
  * Upgrade to standards version 3.9.5
  * Updated package description to fix typos (Closes: #704462)
  * Added multiarch support
  * Added symbols files for the libraries
  * Removed old conflicts on libcsfml1.deb3-dev
  * Added lintian override hardening-no-fortify-functions for
    libcsfml-network2

 -- James Cowgill <james410@cowgill.org.uk>  Fri, 15 Nov 2013 14:32:32 +0000

libcsfml (1.6-1) unstable; urgency=low

  * New upstream 1.6 release
  * Bump standards version (no changes)
  * Rename library packages due to soname change
  * Add a -doc package

 -- Christoph Egger <christoph@debian.org>  Sun, 09 May 2010 11:48:39 +0200

libcsfml (1.5-3) unstable; urgency=low

  * Check for CSFML_SYSTEM_FREEBSD alternatively to _LINUX if X11 is
    needed

 -- Christoph Egger <christoph@debian.org>  Sat, 26 Dec 2009 19:06:30 +0100

libcsfml (1.5-2) unstable; urgency=low

  * Change dh_chlean -k to dh_prep and therefor bump debhelper to 7
  * Get rid of strange Make error on systems where topgit is not
    installed (e.g. buildds, chroots)
  * Line Break Depends/Build-Depends
  * Update my Email Address
  * Fix Build on kFreeBSD and GNU/Hurd

 -- Christoph Egger <christoph@debian.org>  Fri, 18 Dec 2009 13:31:53 +0100

libcsfml (1.5-1) unstable; urgency=low

  * New upstream 1.5 release
    * Builds against newer libsfml (Closes: #542982)
    * SONAME bump for libraries
    * Drop debian/gcc4.3.diff (implemented upstream)
    * Refresh debian/correct-destdir
  * Improve descriptions
  * Clean up rules file -- some quirks no longer needed because of
    improvements in upstream buildsystem
  * Bump standards version to 3.8.3 (no changes)
  * remove duplicate priority entries in control
  * Add README.source

 -- Christoph Egger <debian@christoph-egger.org>  Wed, 30 Sep 2009 01:29:32 +0200

libcsfml (1.4-2) unstable; urgency=low

  * should really go to unstable

 -- Christoph Egger <debian@christoph-egger.org>  Sun, 29 Mar 2009 20:47:52 +0200

libcsfml (1.4-1) experimental; urgency=low

  [ Christoph Egger ]
  * New Upstream Version
  * Drop patches now upstream
    * RM: add_destdir_to_makefile.patch
    * RM: fix_soname.patch
  * Convert patch system to topgit
  * Fix problem in upstream's destdir implementation
  * Change my Mailaddress
  * Wrap -dev package's depends

  [ Gonéri Le Bouder ]
  * libcsfml-dev conflicts on/replaces libcsfml1.deb3-dev

 -- Christoph Egger <debian@christoph-egger.org>  Tue, 20 Jan 2009 19:33:08 +0100

libcsfml (1.3-2) unstable; urgency=low

  * Dropping depends on old libsfml packages that should not be there
    the depends automatically pulled in should be enough here

 -- Christoph Egger <Christoph.Egger@gmx.de>  Tue, 09 Sep 2008 11:11:46 +0200

libcsfml (1.3-1) unstable; urgency=low

  * Initial release (Closes: #481665)

 -- Christoph Egger <Christoph.Egger@gmx.de>  Wed, 25 Jun 2008 16:10:19 +0200

=== debian/control ===
Source: libcsfml
Section: libs
Priority: optional
Maintainer: Debian Games team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>,
 James Cowgill <james410@cowgill.org.uk>
Vcs-Git: git://anonscm.debian.org/pkg-games/libcsfml.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/libcsfml.git
Build-Depends: debhelper (>= 9),
 cmake (>= 2.8.9),
 doxygen,
 libsfml-dev (>= 2.1)
Standards-Version: 3.9.5
Homepage: http://www.sfml-dev.org

Package: libcsfml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libcsfml-audio2 (= ${binary:Version}),
 libcsfml-graphics2 (= ${binary:Version}),
 libcsfml-network2 (= ${binary:Version}),
 libcsfml-system2 (= ${binary:Version}),
 libcsfml-window2 (= ${binary:Version})
Description: Libraries for the C Binding of SFML - Development Files
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package provides the development files for the C Binding

Package: libcsfml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Libraries for the C Binding of SFML - Documentation
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package includes documentation for all CSFML libraries.

Package: libcsfml2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
  libcsfml-audio2 (= ${binary:Version}) |
  libcsfml-graphics2 (= ${binary:Version}) |
  libcsfml-network2 (= ${binary:Version}) |
  libcsfml-system2 (= ${binary:Version}) |
  libcsfml-window2 (= ${binary:Version})
Description: Libraries for the C Binding of SFML - Debug Files
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package includes debug symbols for all CSFML libraries.

Package: libcsfml-audio2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for the C Binding of SFML - Audio Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Audio library is used to play sound and music in games. It is able to
 load OGG/Vorbis files.

Package: libcsfml-graphics2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for the C Binding of SFML - Graphics Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Graphics library contains all the OpenGL and drawing code. It needs the
 Window library for Window creation.

Package: libcsfml-system2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for the C Binding of SFML - System Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The system library brings useful system utilities like multithreading and
 UNICODE handling

Package: libcsfml-network2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for the C Binding of SFML - Network Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Network Library brings basic networking support as needed by games.

Package: libcsfml-window2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for the C Binding of SFML - Window Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Window library provides basic utilities for creating and managing Windows

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DBUILD_DOC=ON

override_dh_strip:
	dh_strip --dbg-package=libcsfml2-dbg

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source:  $(info I: $(PKG)_$(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

=== debian/watch ===
# See uscan(1) for format
version=3

# From GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/CSFML-$1.tar.gz/ \
  https://github.com/LaurentGomila/CSFML/tags .*/v?(\d\S*)\.tar\.gz

## libcsfml 2.3

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.3)

# define a macro that helps defining an option
macro(csfml_set_option var default type docstring)
    if(NOT DEFINED ${var})
        set(${var} ${default})
    endif()
    set(${var} ${${var}} CACHE ${type} ${docstring} FORCE)
endmacro()

# set a default build type if none was provided
# this has to be done before the project() instruction!
csfml_set_option(CMAKE_BUILD_TYPE Release STRING "Choose the type of build (Debug or Release)")

# project name
project(CSFML)

# include the configuration file
include(${CMAKE_SOURCE_DIR}/cmake/Config.cmake)

# setup version numbers
set(VERSION_MAJOR 2)
set(VERSION_MINOR 3)
set(VERSION_PATCH 0)

# add the CSFML header path
include_directories(${CMAKE_SOURCE_DIR}/include)

# add an option for choosing the build type (shared or static)
csfml_set_option(BUILD_SHARED_LIBS TRUE BOOL "TRUE to build CSFML as shared libraries, FALSE to build it as static libraries")

# add an option for building the API documentation
csfml_set_option(CSFML_BUILD_DOC FALSE BOOL "TRUE to generate the API documentation, FALSE to ignore it")

# add an option for linking to sfml either statically or dynamically
csfml_set_option(CSFML_LINK_SFML_STATICALLY TRUE BOOL "TRUE to link to a static version of SFML, FALSE to link dynamically")

# disable the rpath stuff
set(CMAKE_SKIP_BUILD_RPATH TRUE)

# define an option for choosing between static and dynamic C runtime (Windows only)
if(SFML_OS_WINDOWS)
    set(STATIC_STD_LIBS FALSE CACHE BOOL "TRUE to statically link to the standard libraries, FALSE to use them as DLLs")
    
    # for VC++, we can apply it globally by modifying the compiler flags
    if(SFML_COMPILER_MSVC AND STATIC_STD_LIBS)
        foreach(flag
                CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
                CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
            if(${flag} MATCHES "/MD")
                string(REGEX REPLACE "/MD" "/MT" ${flag} "${${flag}}")
            endif()
        endforeach()
    endif()
endif()

# add the subdirectories
add_subdirectory(src/SFML)
if(CSFML_BUILD_DOC)
    add_subdirectory(doc)
endif()

# setup the install rules
install(DIRECTORY include
        DESTINATION .
        COMPONENT devel
        PATTERN ".svn" EXCLUDE)
install(FILES license.txt DESTINATION ${INSTALL_MISC_DIR})
install(FILES readme.txt DESTINATION ${INSTALL_MISC_DIR})

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(DOXYGEN_OUTPUT_DIR ${CMAKE_BINARY_DIR}/doc)
 
 # see if we can generate the CHM documentation
-if(WINDOWS)
+if(SFML_OS_WINDOWS)
     # if HHC is found, we can generate the CHM (compressed HTML) output
     find_program(DOXYGEN_HHC_PROGRAM
                  NAMES hhc.exe

=== src/SFML/Graphics/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # all source files
 set(SRC
     ${INCROOT}/Export.h
+    ${SRCROOT}/BlendMode.cpp
     ${INCROOT}/BlendMode.h
     ${SRCROOT}/CircleShape.cpp
     ${SRCROOT}/CircleShapeStruct.h
@@ -19,6 +20,7 @@
     ${SRCROOT}/Font.cpp
     ${SRCROOT}/FontStruct.h
     ${INCROOT}/Font.h
+    ${INCROOT}/FontInfo.h
     ${INCROOT}/Glyph.h
     ${SRCROOT}/Image.cpp
     ${SRCROOT}/ImageStruct.h
@@ -67,4 +69,4 @@
 # define the csfml-graphics target
 csfml_add_library(csfml-graphics
                   SOURCES ${SRC}
-                  DEPENDS ${SFML_GRAPHICS_LIBRARY} ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY})
+                  DEPENDS ${SFML_GRAPHICS_LIBRARY} ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_GRAPHICS_DEPENDENCIES} ${SFML_WINDOW_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})

=== src/SFML/Window/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,15 @@
     ${INCROOT}/Event.h
     ${SRCROOT}/Joystick.cpp
     ${INCROOT}/Joystick.h
+    ${INCROOT}/JoystickIdentification.h
     ${SRCROOT}/Keyboard.cpp
     ${INCROOT}/Keyboard.h
     ${SRCROOT}/Mouse.cpp
     ${INCROOT}/Mouse.h
+    ${SRCROOT}/Sensor.cpp
+    ${INCROOT}/Sensor.h
+    ${SRCROOT}/Touch.cpp
+    ${INCROOT}/Touch.h
     ${INCROOT}/Types.h
     ${SRCROOT}/VideoMode.cpp
     ${INCROOT}/VideoMode.h
@@ -27,4 +32,4 @@
 # define the csfml-window target
 csfml_add_library(csfml-window
                   SOURCES ${SRC}
-                  DEPENDS ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY})
+                  DEPENDS ${SFML_WINDOW_LIBRARY} ${SFML_SYSTEM_LIBRARY} ${SFML_WINDOW_DEPENDENCIES} ${SFML_SYSTEM_DEPENDENCIES})

=== debian/changelog ===
libcsfml (2.3-3) unstable; urgency=medium

  * debian/control:
    - Drop libcsfml2.3-dbg and automatic debug packages instead.
    - Use secure Vcs URLs.
    - Bump standards to 3.9.8.
    - Use my debian.org email address.
  * debian/tests:
    - Add autopkgtests.
  * debian/rules:
    - Drop get-orig-source target - use uscan instead.

 -- James Cowgill <jcowgill@debian.org>  Tue, 28 Jun 2016 21:09:02 +0100

libcsfml (2.3-2) unstable; urgency=medium

  * Upload 2.3 to unstable.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 16 Jul 2015 18:27:20 +0100

libcsfml (2.3-1) experimental; urgency=medium

  * New upstream version.
  * Rename packages to libcsfml-*2.3 due to SONAME bump.
  * Refresh patches and symbols for new version.

  * debian/control:
    - Undo debug package rename (has more downsides than advantages).
    - Bump required SFML version to 2.3.
    - Use jquery from libjs-query in libcsfml-doc.
    - Use cgit Vcs-Browser URL.
  * debian/watch:
    - New upstream GitHub URL.

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 10 Jun 2015 00:32:33 +0100

libcsfml (2.2-1) experimental; urgency=low

  * New upstream version.
  * Rename packages to libcsfml-*2.2 due to SONAME bump.

  * debian/control:
    - Fix capitalization of "Debian Games Team".
    - Rename libcsfml2-dbg to libcsfml-dbg.
    - Add some suggests to libcsfml-dev.
    - Bump required SFML version to 2.2
    - Bump standards version - no changes
  * debian/copyright:
    - Update dates and remove copyright for the cmake module patch.
  * debian/rules:
    - Use uscan --download-current-version.
    - Update cmake options (some were renamed).
    - Enable all hardening flags.
  * debian/patches:
    - Refresh hurd patch and add 01_ prefix.
    - Drop sfml-cmake-module.patch and use FindSFML from libsfml-dev instead.
    - Add 02_build-doc-once.patch to prevent documentation building twice.
    - Add 03_remove-googleapi-css.patch to remove googleapi css in
      doc/header.htm.
  * debian/*.symbols:
    - Update all symbol files for 2.2
    - Add Build-Depends-Package field.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 14 Mar 2015 15:57:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: libcsfml
 Section: libs
 Priority: optional
-Maintainer: Debian Games team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Christoph Egger <christoph@debian.org>,
- James Cowgill <james410@cowgill.org.uk>
-Vcs-Git: git://anonscm.debian.org/pkg-games/libcsfml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/libcsfml.git
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders:
+ Christoph Egger <christoph@debian.org>,
+ James Cowgill <jcowgill@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake (>= 2.8.9),
  doxygen,
- libsfml-dev (>= 2.1)
-Standards-Version: 3.9.5
+ libsfml-dev (>= 2.3)
+Standards-Version: 3.9.8
 Homepage: http://www.sfml-dev.org
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/libcsfml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/libcsfml.git
+Testsuite: autopkgtest
 
 Package: libcsfml-dev
 Section: libdevel
@@ -20,11 +22,12 @@
 Depends: ${misc:Depends},
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- libcsfml-audio2 (= ${binary:Version}),
- libcsfml-graphics2 (= ${binary:Version}),
- libcsfml-network2 (= ${binary:Version}),
- libcsfml-system2 (= ${binary:Version}),
- libcsfml-window2 (= ${binary:Version})
+ libcsfml-audio2.3 (= ${binary:Version}),
+ libcsfml-graphics2.3 (= ${binary:Version}),
+ libcsfml-network2.3 (= ${binary:Version}),
+ libcsfml-system2.3 (= ${binary:Version}),
+ libcsfml-window2.3 (= ${binary:Version})
+Suggests: libcsfml-doc
 Description: Libraries for the C Binding of SFML - Development Files
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -38,7 +41,7 @@
 Package: libcsfml-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Description: Libraries for the C Binding of SFML - Documentation
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -49,28 +52,7 @@
  .
  This package includes documentation for all CSFML libraries.
 
-Package: libcsfml2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-  libcsfml-audio2 (= ${binary:Version}) |
-  libcsfml-graphics2 (= ${binary:Version}) |
-  libcsfml-network2 (= ${binary:Version}) |
-  libcsfml-system2 (= ${binary:Version}) |
-  libcsfml-window2 (= ${binary:Version})
-Description: Libraries for the C Binding of SFML - Debug Files
- SFML is a modern multimedia library offering a wide range of subsystems
- useful to produce a multimedia app. It offers OpenGL integration for
- Hardware accelerated Graphics, Windowing and Input support, Audio and
- Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
- CSFML provides the bindings needed to use SFML with the C programming
- language.
- .
- This package includes debug symbols for all CSFML libraries.
-
-Package: libcsfml-audio2
+Package: libcsfml-audio2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +68,7 @@
  The Audio library is used to play sound and music in games. It is able to
  load OGG/Vorbis files.
 
-Package: libcsfml-graphics2
+Package: libcsfml-graphics2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -102,7 +84,7 @@
  The Graphics library contains all the OpenGL and drawing code. It needs the
  Window library for Window creation.
 
-Package: libcsfml-system2
+Package: libcsfml-system2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -118,7 +100,7 @@
  The system library brings useful system utilities like multithreading and
  UNICODE handling
 
-Package: libcsfml-network2
+Package: libcsfml-network2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -133,7 +115,7 @@
  .
  The Network Library brings basic networking support as needed by games.
 
-Package: libcsfml-window2
+Package: libcsfml-window2.3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCSFML_BUILD_DOC=ON \
		-DCMAKE_MODULE_PATH=/usr/share/SFML/cmake/Modules

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_strip:
	# Can be removed for 2.4
	dh_strip --dbgsym-migration='libcsfml2.3-dbg (<< 2.3-3~)'
